---
title: Window.history
slug: Web/API/Window/history
tags:
  - API
  - HTML DOM
  - History API
  - Property
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <code><strong>Window</strong>.<strong>history</strong></code> read-only property returns a reference to the {{domxref("History")}} object, which provides an interface for manipulating the browser <em>session history</em> (pages visited in the tab or frame that the current page is loaded in).</p>

<p>See <a href="/en-US/docs/Web/API/History_API">Manipulating the browser history</a> for examples and details. In particular, that article explains security features of the {{domxref("History.pushState", "pushState()")}} and {{domxref("History.replaceState", "replaceState()")}} methods that you should be aware of before using them.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">history.back();     // equivalent to clicking back button
history.go(-1);     // equivalent to history.back();
</pre>

<h2 id="Notes">Notes</h2>

<p>For top-level pages you can see the list of pages in the session history, accessible via the <code>History</code> object, in the browser's dropdowns next to the back and forward buttons.</p>

<p>For security reasons the <code>History</code> object doesn't allow the non-privileged code to access the {{glossary("URL", "URLs")}} of other pages in the session history, but it does allow it to navigate the session history.</p>

<p>There is no way to clear the session history or to disable the back/forward navigation from unprivileged code. The closest available solution is the {{domxref("Location.replace", "location.replace()")}} method, which replaces the current item of the session history with the provided URL.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'browsers.html#the-history-interface', 'The History interface')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#the-history-interface', 'The History interface')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.history")}}</p>
